Package org.apache.sling.scripting.sightly.js.impl.rhino

# Class JsUtils

java.lang.Object
org.apache.sling.scripting.sightly.js.impl.rhino.JsUtils

public class JsUtils extends Object
Utilities when inter-operating with JS scripts

## Constructor Summary

Constructors
Constructor
Description
`JsUtils()`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`callFn(org.mozilla.javascript.Function function, org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable scope, org.mozilla.javascript.Scriptable thisObj, Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsUtils

public JsUtils()

## Method Details

### callFn

public static Object callFn(org.mozilla.javascript.Function function, org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable scope, org.mozilla.javascript.Scriptable thisObj, Object[] args)